Bug 767239 - gluster volume set help-xml fails on Fedora16 with no xml libraries found error
gluster volume set help-xml fails on Fedora16 with no xml libraries found error
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
3.2.5
Unspecified Linux
low Severity medium
: ---
: ---
Assigned To: Amar Tumballi
Vijaykumar Koppad
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-13 10:30 EST by Rahul C S
Modified: 2014-08-24 20:49 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:40:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: Glusterfs- 3.3.0
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul C S 2011-12-13 10:30:18 EST
Description of problem:
gluster volume set help-xml fails on Fedora16 with no xml libraries found error even though libxml2 library is installed.

[root@Fc16-QA1 backend]# rpm -qa|grep libxml
libxml2-2.7.8-6.fc16.x86_64
libxml2-python-2.7.8-6.fc16.x86_64
libxml++-2.34.2-1.fc16.x86_64

Version-Release number of selected component (if applicable):
3.2.5 Fedora 16

How reproducible:
Always
Comment 1 Amar Tumballi 2011-12-19 02:38:25 EST
Suspect that we built the RPM on a machine which didn't had xml libraries not installed. Can you confirm the behavior is same even if you build rpm on a machine which has libxml2 and run glusterd from that?
Comment 2 Vijaykumar Koppad 2011-12-19 03:22:02 EST
Even in release-3.3 , it says the same error message 
root@vostro:~# gluster volume set help-xml
Error: xml libraries not present to produce xml-output
Set volume unsuccessful
Comment 3 Rahul C S 2012-02-22 01:48:41 EST
(In reply to comment #2)
> Even in release-3.3 , it says the same error message 
> root@vostro:~# gluster volume set help-xml
> Error: xml libraries not present to produce xml-output
> Set volume unsuccessful

Make sure you have installed libxml2 library.
Comment 5 Amar Tumballi 2012-07-05 04:59:29 EDT
Please check if this works on 3.3.0 RPMS of fedora and if not, reopen. This needs to be QA'd
Comment 6 Vijaykumar Koppad 2012-07-05 06:47:55 EDT
Verified on fedora 17 . It works fine.

Note You need to log in before you can comment on or make changes to this bug.